tephra-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gokul Gunasekaran <gokulava...@gmail.com>
Subject Please review backward compatibility changes
Date Thu, 12 May 2016 21:29:49 GMT
Hi,

I have copied couple of classes related to TransactionEdit which has the
old cask package name for backward compatibility.

I have also bumped up the TransactionLog current version to 3 which
represents logs written with the new apache package names. And the previous
versions are expected to be written with the old cask package names. Now
the previous TransactionLogReaders expect the old cask package names and
they convert it to new TransactionEdit (with apache package name) when they
return the read object.

Also enhanced the unit test to make sure we can read the new
TransactionEdits (apache package) from logs written with old versions - 1,
2 (cask package) as well as new version 3 (apache package).

The old classes, as discussed before, will be removed in the upcoming
releases.

Please review commit:
https://git1-us-west.apache.org/repos/asf?p=incubator-tephra.git;a=commit;h=afe31fb6

Thanks,
Gokul

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message